com.amazon.redshift.ssl

## Class SingleCertValidatingFactory.SingleCertTrustManager

- java.lang.Object
- - com.amazon.redshift.ssl.SingleCertValidatingFactory.SingleCertTrustManager

All Implemented Interfaces:
  TrustManager, X509TrustManager

Enclosing class:
  SingleCertValidatingFactory

    public static class SingleCertValidatingFactory.SingleCertTrustManager
    extends Object
    implements X509TrustManager

### Constructor Summary

Constructors
Constructor and Description
`SingleCertValidatingFactory.SingleCertTrustManager(InputStream in)`

### Method Summary

Methods
`void` `checkClientTrusted(X509Certificate[] chain, String authType)`
`void` `checkServerTrusted(X509Certificate[] chain, String authType)`
`X509Certificate[]` `getAcceptedIssuers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingleCertValidatingFactory.SingleCertTrustManager

    public SingleCertValidatingFactory.SingleCertTrustManager(InputStream in)
                                                       throws IOException,
                                                              GeneralSecurityException

Throws:
  `IOException`
  `GeneralSecurityException`

### Method Detail

#### checkClientTrusted

    public void checkClientTrusted(X509Certificate[] chain,
                          String authType)
                            throws CertificateException

Specified by:
  `checkClientTrusted` in interface `X509TrustManager`
Throws:
  `CertificateException`

#### checkServerTrusted

    public void checkServerTrusted(X509Certificate[] chain,
                          String authType)
                            throws CertificateException

Specified by:
  `checkServerTrusted` in interface `X509TrustManager`
Throws:
  `CertificateException`

#### getAcceptedIssuers

    public X509Certificate[] getAcceptedIssuers()

Specified by:
  `getAcceptedIssuers` in interface `X509TrustManager`